:root {
    --light-hl-0: #001080;
    --dark-hl-0: #9CDCFE;
    --light-hl-1: #000000;
    --dark-hl-1: #D4D4D4;
    --light-hl-2: #0000FF;
    --dark-hl-2: #569CD6;
    --light-hl-3: #795E26;
    --dark-hl-3: #DCDCAA;
    --light-hl-4: #098658;
    --dark-hl-4: #B5CEA8;
    --light-hl-5: #A31515;
    --dark-hl-5: #CE9178;
    --light-hl-6: #267F99;
    --dark-hl-6: #4EC9B0;
    --light-hl-7: #EE0000;
    --dark-hl-7: #D7BA7D;
    --light-code-background: #FFFFFF;
    --dark-code-background: #171717;

    --font-family-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
}


:root {
    --hl-0: var(--dark-hl-0);
    --hl-1: var(--dark-hl-1);
    --hl-2: var(--dark-hl-2);
    --hl-3: var(--dark-hl-3);
    --hl-4: var(--dark-hl-4);
    --hl-5: var(--dark-hl-5);
    --hl-6: var(--dark-hl-6);
    --hl-7: var(--dark-hl-7);
    --code-background: var(--dark-code-background);
}

.hl-0 { color: var(--hl-0); }
.hl-1 { color: var(--hl-1); }
.hl-2 { color: var(--hl-2); }
.hl-3 { color: var(--hl-3); }
.hl-4 { color: var(--hl-4); }
.hl-5 { color: var(--hl-5); }
.hl-6 { color: var(--hl-6); }
.hl-7 { color: var(--hl-7); }
pre, code { background: var(--code-background); }


/* -------------------------------------------------------
   ---- Auto-generated documentation code 
   -------------------------------------------------------
*/

.tsd-panel {
  margin: 40px auto;
  padding: 20px !important;
  background-color: rgb(10, 10, 10);
  border-radius: 5px;
  overflow: hidden;
}

.tsd-panel h3 {
  font-weight: bold;
  margin: 0 !important;
  font-size: 20px;
}

.tsd-panel h5 {
  font-weight: bold;
  font-size: 16px;
  margin: 0 0 -0.5em 0;
  color: var(--blue);
}

.tsd-panel p, .tsd-panel li {
  font-size: 16px;
  margin: 0.5em 0;
}

.tsd-panel li:before {
  content: none;
}

.tsd-panel pre {
  background: var(--dark);
  padding: 7px;
  border: 1px solid #999;
  border-radius: 8px;
}

.tsd-panel .tsd-signatures {
  padding: 10px 0;
  margin: 0
}

.tsd-panel .tsd-signature {
  /* border: 1px solid #eee; */
  font-family: var(--font-family-monospace);
  font-size: 14px;
  padding: 10px 0;
  border-top: 1px rgb(79, 79, 79) solid;
  border-bottom: 1px rgb(79, 79, 79) solid;
  color: var(--blue);
}

.tsd-signature-type {
  /* font-family: var(--font-family-monospace); */
  font-style: italic;
  font-weight: normal;
  color: palegoldenrod; 
}

.tsd-signature-symbol {
  color: orangered;
}


.tsd-sources {
  font-size: 14px;
  color: #808080;
  margin: 0;
}

.tsd-sources ul {
  padding: 0;
}

.tsd-descriptions {
  padding: 0;
}

.tsd-parameters-title {
  font-size: 18px;
  font-weight: bold;
  margin: 1em 0 0.5em 0;
  color: var(--green);
}

.tsd-returns-title {
  margin-top: 0.5em;
  font-size: 18px;
  font-weight: bold;
  color: var(--green);
}

.tsd-parameters .tsd-signature-symbol, .tsd-returns-title .tsd-signature-symbol {
  font-family: var(--font-family-monospace);
  font-weight: normal;
  font-size: 80%;
}

.parameter-details {
  border-top: 1px solid var(--grey);
  border-bottom: 1px solid var(--grey);
}